/***************************************************************************
                          qtrekodoc.h  -  description
                             -------------------
    begin                : Sun Aug 25 10:33:25 CEST 2002
    copyright            : (C) 2002 by kdereko@yahoo.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef QTREKODOC_H
#define QTREKODOC_H

// include files for QT
#include <qobject.h>

// application specific includes

/**
  * the Document Class
  */

class QtRekoDoc : public QObject
{
  Q_OBJECT

  public:
    QtRekoDoc();
    ~QtRekoDoc();
    void newDoc();
    bool save();
    bool saveAs(const QString &filename);
    bool load(const QString &filename);
    bool isModified() const;
  /** No descriptions */
  void distortion(bool flag);

  signals:
    void documentChanged();

private: // Private attributes
  /**  */
  bool mDistort;
  protected:
    bool modified;
};

#endif
